Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.frodo
Class FrodoPrivateKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.pqc.crypto.frodo.FrodoKeyParameters
              org.bouncycastle.pqc.crypto.frodo.FrodoPrivateKeyParameters

All Implemented Interfaces:
  CipherParameters

Deprecated. the standardised FrodoKEM (ISO/IEC 18033-2:2006/Amd 2:2026) is now provided under org.bouncycastle.crypto and org.bouncycastle.jcajce (see FrodoKEMParameters / FrodoKEMParameterSpec). This is the legacy NIST round 3 (unsalted, eFrodoKEM) implementation, retained for backwards compatibility.

public class FrodoPrivateKeyParameters
extends FrodoKeyParameters

Constructor Summary
`FrodoPrivateKeyParameters(FrodoParameters params, byte[] privateKey)` Deprecated.

Method Summary
`byte[]` | `getEncoded()` Deprecated.
`byte[]` | `getPrivateKey()` Deprecated.

Methods inherited from class org.bouncycastle.pqc.crypto.frodo.FrodoKeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrodoPrivateKeyParameters

    public FrodoPrivateKeyParameters(FrodoParameters params,
                                     byte[] privateKey)

  Deprecated.

Method Detail

### getPrivateKey

    public byte[] getPrivateKey()

  Deprecated.

### getEncoded

    public byte[] getEncoded()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD